Subject: [bug#70132] Not receiving Emails from Debbugs (was Re: bug#70132: closed ...)

From: Simon Tournier <[email-masked]>
Date: Tue, 16 Apr 2024 00:57:26 +0200

Hi Ludo, all,

Cool!  Thanks for the patch set.

Unrelated to this patch set, I am noticing that I do not receive any
email from Debbugs.

For instance, I am CC to the initial submission:

--8<---------------cut here---------------start------------->8---
From: Ludovic Courtès <[email-masked]>
Subject: [bug#70132] [PATCH 00/11] Improve startup time and memory footprint for short-lived commands
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>, Christopher Baines <[email-masked]>,
 Josselin Poiret <[email-masked]>, Ludovic Courtès <[email-masked]>, Mathieu
 Othacehe <[email-masked]>, Ricardo Wurmus <[email-masked]>, Simon
 Tournier <[email-masked]>, Tobias Geerinckx-Rice <[email-masked]>
Date: Mon,  1 Apr 2024 22:22:53 +0200 (2 weeks, 2 hours, 12 minutes ago)
Resent-From: Ludovic Courtès <[email-masked]>
--8<---------------cut here---------------end--------------->8---

But I have never received this email.  And yes, I have checked my spam
folder. ;-)  I do not find any trace of it inside my inbox.

I only receive the one closing – sent to [email-masked] –
where I was specifically CC by you; not X-Debbugs-CC.  Similarly for
others.

Similarly I have never received an email back from Debbugs once I sent
to guix-patches then opening 70276.

Hum, weird isn’t it?  What could be wrong?

Cheers,
simon

On lun., 15 avril 2024 at 21:44, [email-masked] (GNU bug Tracking System) wrote:
> Your bug report
>
> #70132: [PATCH 00/11] Improve startup time and memory footprint for
> short-lived commands
>
> which was filed against the guix-patches package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> -- 
> 70132: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70132
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
> From: Ludovic Courtès <[email-masked]>
> Subject: Re: [bug#70132] [PATCH 00/11] Improve startup time and memory
>  footprint for short-lived commands
> To: [email-masked]
> Cc: Josselin Poiret <[email-masked]>,
>  Simon Tournier <[email-masked]>, Mathieu Othacehe
>  <[email-masked]>,
>  Tobias Geerinckx-Rice <[email-masked]>, Ricardo Wurmus <[email-masked]>,
>  Christopher Baines <[email-masked]>
> Date: Mon, 15 Apr 2024 23:43:11 +0200 (50 minutes, 47 seconds ago)
>
> Ludovic Courtès <[email-masked]> skribis:
>
>>   channels: Use SRFI-71 instead of SRFI-11.
>>   git: Add ‘repository-info’ and use it in (guix channels).
>>   channels: Move ‘commit-short-id’ to (guix git).
>>   git: Add ‘tag->commit’ and use it in (guix channels).
>>   channels: Autoload (git …) modules.
>>   guix system: Autoload some more.
>>   utils: Don’t re-export ‘call-with-temporary-output-file’.
>>   guix: Delay loading of (gnutls).
>>   ui: Delay use of (guix build syscalls).
>>   Autoload (guix build syscalls).
>>   Autoload (gcrypt hash).
>
> Rebased and pushed as 8a74bb8030f2433155f00332475fc21191ef2952.
>
> Ludo’.
>
> ----------
>
> From: Ludovic Courtès <[email-masked]>
> Subject: [PATCH 00/11] Improve startup time and memory footprint for
>  short-lived commands
> To: [email-masked]
> Cc: Ludovic Courtès <[email-masked]>
> Date: Mon,  1 Apr 2024 22:22:53 +0200
> Date: Mon,  1 Apr 2024 22:22:53 +0200 (2 weeks, 2 hours, 11 minutes ago)
>
> Hello!
>
> This is a pretty boring series adding #:autoload in strategic places.
> The goal is to avoid loading tons of modules and shared objects when
> running ‘guix describe’ or ‘guix shell’ on a cache hit.
>
> There’s a tiny bit of reshuffling to make that easier:
>
>   • Bits moved from (guix channels) to (guix git);
>
>   • ‘call-with-temporary-output-file’ no longer re-exported by
>     (guix utils).
>
> I measured the impact with things like:
>
>   strace -e openat -o /tmp/log.strace guix describe
>   grep 'openat.*\.go' </tmp/log.strace | wc -l
>
> and also checking specifically whether things like Guile-Git,
> Guile-Gcrypt, and Guile-GnuTLS were being loaded.
>
> Feedback welcome!
>
> Ludo’.
>
> Ludovic Courtès (11):
>   channels: Use SRFI-71 instead of SRFI-11.
>   git: Add ‘repository-info’ and use it in (guix channels).
>   channels: Move ‘commit-short-id’ to (guix git).
>   git: Add ‘tag->commit’ and use it in (guix channels).
>   channels: Autoload (git …) modules.
>   guix system: Autoload some more.
>   utils: Don’t re-export ‘call-with-temporary-output-file’.
>   guix: Delay loading of (gnutls).
>   ui: Delay use of (guix build syscalls).
>   Autoload (guix build syscalls).
>   Autoload (gcrypt hash).
>
>  guix/channels.scm         | 56 +++++++++++++++++----------------------
>  guix/derivations.scm      |  6 ++---
>  guix/discovery.scm        |  4 +--
>  guix/download.scm         |  4 +--
>  guix/git.scm              | 52 +++++++++++++++++++++++++++---------
>  guix/import/hackage.scm   |  4 +--
>  guix/import/hexpm.scm     |  7 ++---
>  guix/import/opam.scm      |  7 ++---
>  guix/import/pypi.scm      |  5 ++--
>  guix/nar.scm              |  4 +--
>  guix/packages.scm         |  5 ++--
>  guix/scripts.scm          |  7 +++--
>  guix/scripts/build.scm    |  4 +--
>  guix/scripts/describe.scm |  4 +--
>  guix/scripts/system.scm   | 12 ++++++---
>  guix/store.scm            | 15 ++++++-----
>  guix/ui.scm               | 22 +++------------
>  guix/utils.scm            | 17 ++++++------
>  tests/cpio.scm            |  6 ++---
>  tests/egg.scm             |  5 ++--
>  tests/opam.scm            |  5 ++--
>  tests/publish.scm         |  5 ++--
>  tests/store-database.scm  |  6 ++---
>  tests/utils.scm           |  3 ++-
>  24 files changed, 143 insertions(+), 122 deletions(-)
>
>
> base-commit: 16c713083516e60b5ae30b3a8b49d5bf8d4cadc3